package app.furmeet.events.system.helper

import app.furmeet.events.bff.R
import java.io.Serializable
import java.util.*

enum class Language(val language: Int, val flag: Int, val locale: Locale, val drawableId: Int, val nativeName: String) : Serializable {
    PT(R.string.language_portuguese, R.string.language_portuguese_flag, Locale("pt", "BR"), R.drawable.ic_pt, "Português"),
    ES(R.string.language_spanish, R.string.language_spanish_flag, Locale("es", "ES"), R.drawable.ic_es, "Español"),
    EN(R.string.language_english, R.string.language_english_flag, Locale("en", "US"), R.drawable.ic_en, "English"),
}